Desativar webhook de conversa finalizada
curl --request POST \
--url https://suasofia.online/api/user/assistants/disable-conversation-ended-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123
}
'import requests
url = "https://suasofia.online/api/user/assistants/disable-conversation-ended-webhook"
payload = { "assistant_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123})
};
fetch('https://suasofia.online/api/user/assistants/disable-conversation-ended-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Webhook de conversa finalizada desativado com sucesso",
"data": []
}
{
"message": "Assistente não encontrado"
}
{
"message": "Os dados fornecidos eram inválidos.",
"errors": {
"assistant_id": [
"O campo ID do assistente é obrigatório."
]
}
}
Assistentes
Desativar webhook de conversa finalizada
Desativar notificações de webhook de conversa finalizada para um assistente
POST
/
user
/
assistants
/
disable-conversation-ended-webhook
Desativar webhook de conversa finalizada
Este endpoint desativa as notificações de webhook de conversa finalizada para um assistente, interrompendo a entrega de atualizações quando conversas de chat terminam.
Corpo da Requisição
integer
required
O ID do assistente para desativar o webhook de conversa finalizada
Resposta
string
Mensagem de sucesso confirmando que o webhook foi desativado
array
Array vazio (reservado para uso futuro)
Respostas de Erro
Show Resposta de Erro
Show Resposta de Erro
string
Mensagem de erro quando o assistente não é encontrado ou não pertence ao usuário autenticado
{
"message": "Webhook de conversa finalizada desativado com sucesso",
"data": []
}
{
"message": "Assistente não encontrado"
}
{
"message": "Os dados fornecidos eram inválidos.",
"errors": {
"assistant_id": [
"O campo ID do assistente é obrigatório."
]
}
}
⌘I

